=== modified file 'grackle-put-message'
--- grackle-put-message	2012-01-30 18:30:54 +0000
+++ grackle-put-message	2012-01-13 13:52:09 +0000
@@ -2,11 +2,9 @@
 import sys
 from grackle import client
 
-
 class UserError(Exception):
     """An error caused by a user mistake."""
 
-
 def main(*args):
     if len(args) != 2:
         raise UserError("Wrong number of arguments supplied.")

=== modified file 'grackle/client.py'
--- grackle/client.py	2012-01-30 18:28:17 +0000
+++ grackle/client.py	2012-01-16 20:31:23 +0000
@@ -54,7 +54,7 @@
         """
         response = self._method_archive(
             'POST', archive_id, {'key': key}, file_obj.read())
-        response.read()
+        data = response.read()
         if response.status == httplib.BAD_REQUEST:
             raise Exception('wtf')
         elif response.status == httplib.CREATED:
@@ -108,3 +108,4 @@
             raise UnsupportedOrder
         data = response.read()
         return simplejson.loads(data)
+

=== modified file 'grackle/tests/test_client.py'
--- grackle/tests/test_client.py	2012-01-30 18:44:20 +0000
+++ grackle/tests/test_client.py	2012-01-16 20:31:23 +0000
@@ -54,7 +54,7 @@
         parameters = simplejson.loads(query['parameters'][0])
         order = parameters.get('order')
         messages = self.messages[archive_id]
-        if order is not None:
+        if order is not None :
             if order not in SUPPORTED_ORDERS:
                 raise UnsupportedOrder
             elif order.startswith('thread_'):
@@ -72,12 +72,13 @@
                 messages.sort(key=lambda m: m[order])
         new_messages = []
         for message in messages:
-            if (not parameters['include_hidden']
+            if (
+                not parameters['include_hidden']
                 and message.get('hidden', False)):
                 continue
 
-            if ('message_ids' in parameters
-                and message['message_id'] not in parameters['message_ids']):
+            if ('message_ids' in parameters and
+                message['message_id'] not in parameters['message_ids']):
                 continue
             message = dict(message)
             if 'headers' in parameters:
@@ -117,13 +118,13 @@
         return response
 
 
-class ForkedFakeService:
+
+class ForkedFake:
     """A Grackle service fake, as a ContextManager."""
 
     def __init__(self, port, messages=None, write_logs=False):
         """Constructor.
-
-        :param port: The tcp port to use.
+        :param port: The tcp port to use
         :param messages: A dict of lists of dicts representing messages.  The
             outer dict represents the archive, the list represents the list of
             messages for that archive.
@@ -140,14 +141,14 @@
 
     @staticmethod
     def from_client(client, messages=None):
-        """Instantiate a ForkedFakeService from the client.
+        """Instantiate a ForkedFake from the client.
 
-        :param port: The client to provide service for.
+        :param port: The client  to provide service for.
         :param messages: A dict of lists of dicts representing messages.  The
             outer dict represents the archive, the list represents the list of
             messages for that archive.
         """
-        return ForkedFakeService(client.port, messages)
+        return ForkedFake(client.port, messages)
 
     def is_ready(self):
         """Tell the parent process that the server is ready for writes."""
@@ -225,7 +226,7 @@
     def log_message(self, format, *args):
         """Override log_message to use standard Python logging."""
         message = "%s - - [%s] %s\n" % (
-            self.address_string(), self.log_date_time_string(), format % args)
+            self.address_string(), self.log_date_time_string(), format%args)
         self.logger.info(message)
 
 
@@ -233,7 +234,7 @@
 
     def test_put_message(self):
         client = GrackleClient('localhost', 8436)
-        with ForkedFakeService.from_client(client):
+        with ForkedFake.from_client(client):
             client.put_message('arch1', 'asdf', StringIO('This is a message'))
             with ExpectedException(Exception, 'wtf'):
                 client.put_message('arch1', 'asdf',
@@ -247,11 +248,11 @@
 
     def assertMessageIDs(self, ids, messages):
         self.assertIDOrder(
-            sorted(ids), sorted(messages, key=lambda m: m['message_id']))
+            sorted(ids), sorted(messages, key=lambda m:m['message_id']))
 
     def test_get_messages(self):
         client = GrackleClient('localhost', 8435)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
             {'baz':
             [{'message_id': 'foo'},
              {'message_id': 'bar'}]}):
@@ -263,7 +264,7 @@
 
     def test_get_messages_by_id(self):
         client = GrackleClient('localhost', 8437)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
             {'baz':
             [{'message_id': 'foo'},
              {'message_id': 'bar'}]}):
@@ -273,7 +274,7 @@
 
     def test_get_messages_batching(self):
         client = GrackleClient('localhost', 8438)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
             {'baz':
             [{'message_id': 'foo'},
              {'message_id': 'bar'}]}):
@@ -288,7 +289,7 @@
 
     def get_messages_member_order_test(self, key):
         client = GrackleClient('localhost', 8439)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
                 {'baz': [{'message_id': 'foo', key: '2011-03-25'},
                  {'message_id': 'bar', key: '2011-03-24'}]}):
             response = client.get_messages('baz')
@@ -307,7 +308,7 @@
 
     def test_get_messages_thread_subject_order(self):
         client = GrackleClient('localhost', 8439)
-        with ForkedFakeService.from_client(client, {'baz': [
+        with ForkedFake.from_client(client, {'baz': [
             {'message_id': 'bar', 'subject': 'y'},
             {'message_id': 'qux', 'subject': 'z'},
             {'message_id': 'foo', 'subject': 'x', 'in_reply_to': 'qux'},
@@ -321,7 +322,7 @@
 
     def test_get_messages_thread_oldest_order(self):
         client = GrackleClient('localhost', 8439)
-        with ForkedFakeService.from_client(client, {'baz': [
+        with ForkedFake.from_client(client, {'baz': [
             {'message_id': 'bar', 'date': 'x'},
             {'message_id': 'qux', 'date': 'z'},
             {'message_id': 'foo', 'date': 'y', 'in_reply_to': 'qux'},
@@ -335,7 +336,7 @@
 
     def test_get_messages_thread_newest_order(self):
         client = GrackleClient('localhost', 8439)
-        with ForkedFakeService.from_client(client, {'baz': [
+        with ForkedFake.from_client(client, {'baz': [
             {'message_id': 'bar', 'date': 'x'},
             {'message_id': 'qux', 'date': 'w'},
             {'message_id': 'foo', 'date': 'y', 'in_reply_to': 'bar'},
@@ -350,15 +351,15 @@
 
     def test_get_messages_unsupported_order(self):
         client = GrackleClient('localhost', 8439)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
                 {'baz': [{'message_id': 'foo', 'date': '2011-03-25'},
                  {'message_id': 'bar', 'date': '2011-03-24'}]}):
-            with ExpectedException(UnsupportedOrder, ''):
+            with ExpectedException(UnsupportedOrder):
                 client.get_messages('baz', order='nonsense')
 
     def test_get_messages_headers_no_headers(self):
         client = GrackleClient('localhost', 8440)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
             {'baz': [
                 {'message_id': 'foo'}
             ]}):
@@ -370,7 +371,7 @@
 
     def test_get_messages_headers_exclude_headers(self):
         client = GrackleClient('localhost', 8441)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
             {'baz': [
                 {'message_id': 'foo', 'headers': {'From': 'me'}}
             ]}):
@@ -382,7 +383,7 @@
 
     def test_get_messages_headers_include_headers(self):
         client = GrackleClient('localhost', 8442)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
             {'baz': [
                 {'message_id': 'foo', 'headers': {'From': 'me', 'To': 'you'}}
             ]}):
@@ -394,7 +395,7 @@
 
     def test_get_messages_max_body_length(self):
         client = GrackleClient('localhost', 8443)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
             {'baz': [
                 {'message_id': 'foo', 'body': u'abcdefghi'}
             ]}):
@@ -404,7 +405,7 @@
 
     def test_include_hidden(self):
         client = GrackleClient('localhost', 8444)
-        with ForkedFakeService.from_client(client,
+        with ForkedFake.from_client(client,
             {'baz': [
                 {'message_id': 'foo', 'hidden': True},
                 {'message_id': 'bar', 'hidden': False}
@@ -413,3 +414,4 @@
             self.assertMessageIDs(['bar', 'foo'], response['messages'])
             response = client.get_messages('baz', include_hidden=False)
             self.assertMessageIDs(['bar'], response['messages'])
+

